package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/model"
	"xorm.io/xorm"
)

type AdminRoleDao interface {
	FindAdminRole(id int) (*[]model.AdminRole, error)
	FindAdminRoleByRoleId(id int) (*[]model.AdminRole, error)
	AdminDeleteBySessionForAdmId(session *xorm.Session, admId interface{}) (int64, error)
	GetAdminRoleByRole(id int) (m *model.AdminRole, err error)
	GetAdminRoleByAdminId(id int) (m *model.AdminRole, err error)
	AdminRoleDeleteForRoleBySession(session *xorm.Session, roleId interface{}) (int64, error)
	AdminRoleDeleteBySession(session *xorm.Session, id interface{}) (int64, error)
	BatchAddAdminRoleBySession(session *xorm.Session, mm []*model.AdminRole) (int64, error)
}

type AdminRole struct {
	model.Admin     `xorm:"extends"`
	model.AdminRole `xorm:"extends"`
}

func (AdminRole) TableName() string {
	return "admin_role"
}
