package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/model"
	"xorm.io/xorm"
)

type MediumDao interface {
	GetMediumByUsername(username string) (medium *model.Medium, err error)
	MediumInsert(m *model.Medium) (int64, error)
	MediumDeleteBySession(session *xorm.Session, id interface{}) (int64, error)
	UpdateMedium(m *model.Medium, columns ...string) (int64, error)
	GetMediumRolePermission(id int) (list []*MediumWithRolePermission, total int64, err error)
	FindAdmin(username string, state, page, limit int) (list []model.Medium, total int64, err error)
	GetMedium(id int) (m *model.Medium, err error)
	FindMediumRolePermissionGroup(id int) (list []*MediumWithRolePermissionGroup, total int64, err error)
	FindSuperAdmin(username, memo string, page, limit int) (list []model.Medium, total int64, err error)
	FindSuperAdminByMediumId(mediumId string, page, limit int) (list []model.Medium, total int64, err error)
	GetSuperAdmin(mediumId int) (list *model.Medium)
	FindAllSuperAdmin() (list *[]model.Medium)
}

type MediumWithRolePermissionGroup struct {
	model.Medium                    `xorm:"extends"`
	model.MediumWithRole            `xorm:"extends"`
	model.MediumRole                `xorm:"extends"`
	model.MediumRolePermissionGroup `xorm:"extends"`
	model.MediumPermissionGroup     `xorm:"extends"`
}

func (MediumWithRolePermissionGroup) TableName() string {
	return "medium"
}

type MediumWithRolePermission struct {
	model.Medium                          `xorm:"extends"`
	model.MediumWithRole                  `xorm:"extends"`
	model.MediumRole                      `xorm:"extends"`
	model.MediumRolePermissionGroup       `xorm:"extends"`
	model.MediumPermissionGroup           `xorm:"extends"`
	model.MediumPermissionGroupPermission `xorm:"extends"`
	model.MediumPermission                `xorm:"extends"`
}

func (MediumWithRolePermission) TableName() string {
	return "medium"
}
