package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/dao"
	"code.fnuoos.com/zhimeng/model.git/src/model"
	"strings"
	"xorm.io/xorm"
)

func NewAdminBindMediumDb(engine *xorm.Engine) dao.AdminBindMediumDao {
	return &AdminBindMediumDb{Db: engine}
}

type AdminBindMediumDb struct {
	Db *xorm.Engine
}

func (a AdminBindMediumDb) FindAll(adminId int) (list []model.AdminBindMedium) {
	sess := a.Db.Where("admin_id=?", adminId)
	err := sess.Find(&list)
	if err != nil {
		return nil
	}
	return
}
func (a AdminBindMediumDb) GetAdminByMediumId(adminId, mediumId int) (list *model.AdminBindMedium) {
	sess := a.Db.Where("medium_id=? and admin_id=?", mediumId, adminId)
	get, err := sess.Get(&list)
	if get == false || err != nil {
		return nil
	}
	return
}
func (a AdminBindMediumDb) FindMediumList(mediumId string, adminId, page, limit int) (list []model.AdminBindMedium, total int64, err error) {
	sess := a.Db.Where("admin_id=?", adminId).Desc("id").Limit(limit, (page-1)*limit)
	if mediumId != "" {
		sess.In("medium_id", strings.Split(mediumId, ","))
	}
	total, err = sess.FindAndCount(&list)
	if err != nil {
		return nil, 0, err
	}
	return
}
