package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/dao"
	"code.fnuoos.com/zhimeng/model.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"xorm.io/xorm"
)

func NewAppletApplicationDb(engine *xorm.Engine) dao.AppletApplicationDao {
	return &AppletApplicationDb{Db: engine}
}

type AppletApplicationDb struct {
	Db *xorm.Engine
}

func (a AppletApplicationDb) GetAppletApplicationList(id int) (medium *model.AppletApplication, err error) {
	medium = new(model.AppletApplication)
	has, err := a.Db.Where("id =?", id).Get(medium)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return medium, nil
}

func (a AppletApplicationDb) FindAppletApplicationListByIds(id []string) (medium *[]model.AppletApplication, err error) {
	medium = new([]model.AppletApplication)
	err = a.Db.In("id", id).Find(medium)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return medium, nil
}
func (a AppletApplicationDb) GetAppletApplicationListByAppid(appId string) (medium *model.AppletApplication, err error) {
	medium = new(model.AppletApplication)
	has, err := a.Db.Where("app_id =?", appId).Get(medium)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return medium, nil
}

func (a AppletApplicationDb) FindAppletApplicationList(name, platform string, state []string, mediumId, page, limit int) (list []model.AppletApplication, total int64, err error) {
	sess := a.Db.Desc("id")
	if page > 0 {
		sess.Limit(limit, (page-1)*limit)
	}
	if name != "" {
		sess.And("name like ?", "%"+name+"%")
	}
	if mediumId > 0 {
		sess.And("medium_id=?", mediumId)
	}
	if platform != "" {
		sess.And("platform = ?", platform)
	}
	if len(state) > 0 {
		sess.In("state", state)
	}
	total, err = sess.FindAndCount(&list)
	if err != nil {
		return nil, 0, err
	}
	return
}

func (a AppletApplicationDb) FindAllAppletApplicationList() (list []model.AppletApplication, err error) {
	sess := a.Db.Desc("id")
	err = sess.Find(&list)
	if err != nil {
		return nil, err
	}
	return
}
