package model

import "time"

type AppletApplication struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Platform   string    `json:"platform" xorm:"comment('平台（微信小程序:wx_applet ）') VARCHAR(255)"`
	State      int       `json:"state" xorm:"default 0 comment('审核状态（0待审核 1审核中 2审核成功 3审核失败 4封禁）') TINYINT(1)"`
	Memo       string    `json:"memo" xorm:"comment('备注') VARCHAR(255)"`
	Logo       string    `json:"logo" xorm:"comment('应用图标') VARCHAR(255)"`
	AppId      string    `json:"app_id" xorm:"comment('小程序appid') VARCHAR(255)"`
	OriginalId string    `json:"original_id" xorm:"comment('小程序id') VARCHAR(255)"`
	Name       string    `json:"name" xorm:"comment('应用名称') VARCHAR(255)"`
	CreateAt   time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt   time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	MediumId   int       `json:"medium_id" xorm:"not null comment('媒体id') default '0' INT(10)"`
}
