package model

import (
	"time"
)

type AppletApplicationAdSpaceList struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name     string    `json:"name" xorm:"default '' comment('广告位名称') VARCHAR(255)"`
	AppId    string    `json:"app_id" xorm:"not null default '' comment('小程序appid') VARCHAR(255)"`
	AdId     string    `json:"ad_id" xorm:"not null default '' comment('广告位id') VARCHAR(255)"`
	Kind     string    `json:"kind" xorm:"not null default 1 comment('广告位类型(1:banner 2:激励视频 3:插屏广告 4:视频广告 5:视频贴片广告)') TINYINT(1)"`
	State    int       `json:"state" xorm:"not null default 0 comment('状态(0:待审核 1:审核通过 2:审核拒绝 3:封禁中)') TINYINT(1)"`
	UseState int       `json:"use_state" xorm:"not null default 1 comment('广告位微信平台状态（1开通 2关闭）') TINYINT(1)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	MediumId int       `json:"medium_id" xorm:"not null comment('媒体id') default '0' INT(10)"`
	Memo     string    `json:"memo" xorm:"comment('备注') VARCHAR(255)"`
}
