package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"xorm.io/xorm"
)

func NewAgentContactInfoDb(engine *xorm.Engine) dao.AgentContactInfoDao {
	return &AgentContactInfoDb{Db: engine}
}

type AgentContactInfoDb struct {
	Db *xorm.Engine
}

func (a AgentContactInfoDb) GetAgentContactInfoList(agentId int) (medium *model.AgentContactInfo, err error) {
	medium = new(model.AgentContactInfo)
	has, err := a.Db.Where("agent_id =?", agentId).Get(medium)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return medium, nil
}
func (a AgentContactInfoDb) FindAgentContactInfoList(uuid, name, state string, page, limit int) (list []dao.AgentContactInfoGroup, total int64, err error) {
	sess := a.Db.Where("agent_contact_info.state>0").Desc("agent_contact_info.id").Limit(limit, (page-1)*limit)
	if name != "" {
		sess.And("agent_list.company_name like ?", "%"+name+"%")
	}
	if state != "" {
		sess.And("agent_contact_info.state = ?", state)
	}
	if uuid != "" {
		sess.And("agent_contact_info.uuid = ?", uuid)
	}
	sess.Join("LEFT", "agent_list", "agent_list.agent_id = agent_contact_info.agent_id")
	total, err = sess.FindAndCount(&list)
	if err != nil {
		return nil, 0, err
	}
	return
}
