package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

func NewAgentFinancialDynamicsDb(engine *xorm.Engine) dao.AgentFinancialDynamicsDao {
	return &AgentFinancialDynamicsDb{Db: engine}
}

type AgentFinancialDynamicsDb struct {
	Db *xorm.Engine
}

func (m AgentFinancialDynamicsDb) FindAgentFinancialDynamics(uuid, agentId, startTime, endTime string, page, limit int) (list []model.AgentFinancialDynamics, total int64, err error) {
	sess := m.Db.Desc("id").Limit(limit, (page-1)*limit)
	if uuid != "" {
		sess.And("uuid = ?", uuid)
	}
	if agentId != "" {
		sess.And("agent_id = ?", agentId)
	}
	if startTime != "" {
		sess.And("pay_time >= ?", startTime)
	}
	if endTime != "" {
		sess.And("pay_time <= ?", endTime)
	}
	total, err = sess.FindAndCount(&list)
	if err != nil {
		return nil, 0, err
	}
	return
}
