package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"xorm.io/xorm"
)

func NewAgentInvoiceDb(engine *xorm.Engine) dao.AgentInvoiceDao {
	return &AgentInvoiceDb{Db: engine}
}

type AgentInvoiceDb struct {
	Db *xorm.Engine
}

func (m AgentInvoiceDb) GetAgentInvoice(settlementId int) (data *model.AgentInvoice, err error) {
	data = new(model.AgentInvoice)
	has, err := m.Db.Where("settlement_id =?", settlementId).Get(data)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return data, nil
}
func (m AgentInvoiceDb) FindAgentInvoiceList(uuid, types string, page, limit int) (list []dao.AgentInvoiceGroup, total int64, err error) {
	sess := m.Db.OrderBy("agent_invoice.update_at desc,agent_invoice.id desc").Limit(limit, (page-1)*limit)
	if uuid != "" {
		sess.And("agent_invoice.uuid = ?", uuid)
	}
	if types != "" {
		sess.And("agent_invoice.type = ?", types)
	}
	sess.Join("LEFT", "agent_settlement", "agent_settlement.id = agent_invoice.settlement_id")
	total, err = sess.FindAndCount(&list)
	if err != nil {
		return nil, 0, err
	}
	return
}
