package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"xorm.io/xorm"
)

func NewGenerateWxAdDataWithAgentFlowDb(engine *xorm.Engine) dao.GenerateWxAdDataWithAgentFlowDao {
	return &GenerateWxAdDataWithAgentFlowDb{Db: engine}
}

type GenerateWxAdDataWithAgentFlowDb struct {
	Db *xorm.Engine
}

func (g GenerateWxAdDataWithAgentFlowDb) BatchAddGenerateWxAdDataWithAgentFlow(session *xorm.Session, mm []*model.GenerateWxAdDataWithAgentFlow) (int64, error) {
	affected, err := session.Insert(mm)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (g GenerateWxAdDataWithAgentFlowDb) FindGenerateWxAdDataWithAgentFlowByStrategyId(strategyId int) (*[]model.GenerateWxAdDataWithAgentFlow, error) {
	var m []model.GenerateWxAdDataWithAgentFlow
	if err := g.Db.Where("generate_data_id = ?", strategyId).Asc("id").Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
