package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"strings"
	"xorm.io/xorm"
)

func NewMediumBankInfoDb(engine *xorm.Engine) dao.MediumBankInfoDao {
	return &MediumBankInfoDb{Db: engine}
}

type MediumBankInfoDb struct {
	Db *xorm.Engine
}

func (a MediumBankInfoDb) GetMediumBankInfoList(MediumId int) (medium *model.MediumBankInfo, err error) {
	medium = new(model.MediumBankInfo)
	has, err := a.Db.Where("medium_id =?", MediumId).Get(medium)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return medium, nil
}
func (a MediumBankInfoDb) FindMediumBankInfoList(uuid, name, mediumId, state string, page, limit int) (list []dao.MediumBankInfoGroup, total int64, err error) {
	sess := a.Db.Where("medium_bank_info.state>0").Desc("medium_bank_info.id").Limit(limit, (page-1)*limit)
	if mediumId != "" {
		sess.In("medium_list.medium_id", strings.Split(mediumId, ","))
	}
	if name != "" {
		sess.And("medium_list.company_name like ?", "%"+name+"%")
	}
	if state != "" {
		sess.And("medium_bank_info.state = ?", state)
	}
	if uuid != "" {
		sess.And("medium_bank_info.uuid = ?", uuid)
	}
	sess.Join("LEFT", "medium_list", "medium_list.medium_id = medium_bank_info.medium_id")
	total, err = sess.FindAndCount(&list)
	if err != nil {
		return nil, 0, err
	}
	return
}
