package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"xorm.io/xorm"
)

func NewMediumDivisionStrategyWithAgentFlowDb(engine *xorm.Engine) dao.MediumDivisionStrategyWithAgentFlowDao {
	return &MediumDivisionStrategyWithAgentFlowDb{Db: engine}
}

type MediumDivisionStrategyWithAgentFlowDb struct {
	Db *xorm.Engine
}

func (m MediumDivisionStrategyWithAgentFlowDb) FindMediumDivisionStrategyWithAgentFlowByStrategyId(strategyId int) (*[]model.MediumDivisionStrategyWithAgentFlow, error) {
	var mm []model.MediumDivisionStrategyWithAgentFlow
	if err := m.Db.Where("strategy_id = ?", strategyId).Asc("id").Find(&mm); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &mm, nil
}
func (m MediumDivisionStrategyWithAgentFlowDb) GetMediumDivisionStrategyWithAgentFlowSess(sess *xorm.Session, strategyId, agentId int) (data *model.MediumDivisionStrategyWithAgentFlow, err error) {
	data = new(model.MediumDivisionStrategyWithAgentFlow)
	has, err := sess.Where("strategy_id=? and agent_id =?", strategyId, agentId).Get(data)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return data, nil
}
func (m MediumDivisionStrategyWithAgentFlowDb) GetMediumDivisionStrategyWithAgentFlow(strategyId, agentId int) (data *model.MediumDivisionStrategyWithAgentFlow, err error) {
	data = new(model.MediumDivisionStrategyWithAgentFlow)
	has, err := m.Db.Where("strategy_id=? and agent_id =?", strategyId, agentId).Get(data)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return data, nil
}
