package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"strings"
	"xorm.io/xorm"
)

func NewOriginalWxAdDataDb(engine *xorm.Engine) dao.OriginalWxAdDataDao {
	return &OriginalWxAdDataDb{Db: engine}
}

type OriginalWxAdDataDb struct {
	Db *xorm.Engine
}

func (o OriginalWxAdDataDb) UpdateOriginalWxAdDataBySession(session *xorm.Session, m *model.OriginalWxAdData, columns ...string) (int64, error) {
	affected, err := session.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (o OriginalWxAdDataDb) UpdateOriginalWxAdData(m *model.OriginalWxAdData, columns ...string) (int64, error) {
	affected, err := o.Db.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (o OriginalWxAdDataDb) GetOriginalWxAdData(id int) (data *model.OriginalWxAdData, err error) {
	data = new(model.OriginalWxAdData)
	has, err := o.Db.Where("id =?", id).Get(data)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return data, nil
}
func (o OriginalWxAdDataDb) GetOriginalWxAdDataSess(sess *xorm.Session, id int) (data *model.OriginalWxAdData, err error) {
	data = new(model.OriginalWxAdData)
	has, err := sess.Where("id =?", id).Get(data)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return data, nil
}
func (o OriginalWxAdDataDb) FindOriginalWxAdDataList(uuid, appId, slotId, startDate, endDate string, page, limit int) (list []model.OriginalWxAdData, total int64, err error) {
	sess := o.Db.OrderBy("date desc,id desc").Limit(limit, (page-1)*limit)
	if uuid != "" {
		sess.And("uuid = ?", uuid)
	}
	if startDate != "" {
		sess.And("date>=?", startDate)
	}
	if endDate != "" {
		sess.And("date<=?", endDate)
	}
	if appId != "" {
		sess.In("app_id", strings.Split(appId, ","))
	}
	if slotId != "" {
		sess.In("slot_id", strings.Split(slotId, ","))
	}
	total, err = sess.FindAndCount(&list)
	if err != nil {
		return nil, 0, err
	}
	return
}
