package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

func NewPlatformSettlementDb(engine *xorm.Engine) dao.PlatformSettlementDao {
	return &PlatformSettlementDb{Db: engine}
}

type PlatformSettlementDb struct {
	Db *xorm.Engine
}

func (m PlatformSettlementDb) FindPlatformSettlementList(uuid, date, startDate, endDate string, page, limit int) (list []model.PlatformSettlement, total int64, err error) {
	sess := m.Db.OrderBy("start_date desc,id desc").Limit(limit, (page-1)*limit)
	if uuid != "" {
		sess.And("uuid = ?", uuid)
	}
	if date != "" {
		sess.And("state_date = ?", date)
	}
	if startDate != "" {
		sess.And("update_at>=", startDate+" 00:00:00")
	}
	if endDate != "" {
		sess.And("update_at<=", endDate+" 23:59:59")
	}

	total, err = sess.FindAndCount(&list)
	if err != nil {
		return nil, 0, err
	}
	return
}
