package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"xorm.io/xorm"
)

func NewUserAppDomainDb(engine *xorm.Engine) dao.UserAppDomainDao {
	return &UserAppDomainDb{Db: engine}
}

type UserAppDomainDb struct {
	Db *xorm.Engine
}

func (u UserAppDomainDb) GetAppDomainByHost(host string) (m *model.UserAppDomain, err error) {
	m = new(model.UserAppDomain)
	has, err := u.Db.Where("domain =?", host).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (u UserAppDomainDb) GetAppDomainByType(kind, masterId string) (m *model.UserAppDomain, err error) {
	m = new(model.UserAppDomain)
	has, err := u.Db.Where("type =?", kind).And("uuid =?", masterId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (u UserAppDomainDb) GetUserAppDomain(masterId int) (m *model.UserAppDomain, err error) {
	m = new(model.UserAppDomain)
	has, err := u.Db.Where("uuid =?", masterId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (u UserAppDomainDb) GetUserAppDomainByPlatform(masterId int, platform string) (m *model.UserAppDomain, err error) {
	m = new(model.UserAppDomain)
	has, err := u.Db.Where("uuid =? and type=? and is_ssl=?", masterId, platform, 1).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (u UserAppDomainDb) UserAppDomainInsert(m *model.UserAppDomain) (int64, error) {
	insertAffected, err := u.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return insertAffected, nil
}
