package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"xorm.io/xorm"
)

func NewUserListDb(engine *xorm.Engine) dao.UserListDao {
	return &UserListDb{Db: engine}
}

type UserListDb struct {
	Db *xorm.Engine
}

func (u UserListDb) GetUserListByOpenAppSecret(appSecret string) (m *model.UserList, err error) {
	m = new(model.UserList)
	has, err := u.Db.Where("open_app_secret =?", appSecret).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
