﻿package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"reflect"
	"xorm.io/xorm"
)

func NewUserWxAppletListDb(engine *xorm.Engine) dao.UserWxAppletListDao {
	return &UserWxAppletListDb{Db: engine}
}

type UserWxAppletListDb struct {
	Db *xorm.Engine
}

func (u UserWxAppletListDb) UserWxAppletListDelete(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return u.Db.In("id", id).Delete(model.UserWxAppletList{})
	} else {
		return u.Db.Where("id = ?", id).Delete(model.UserWxAppletList{})
	}
}

func (u UserWxAppletListDb) GetUserWxAppletList(masterId string) (m *model.UserWxAppletList, err error) {
	m = new(model.UserWxAppletList)
	has, err := u.Db.Where("uuid =?", masterId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (u UserWxAppletListDb) GetUserWxAppletListByAppId(appid string) (m *model.UserWxAppletList, err error) {
	m = new(model.UserWxAppletList)
	has, err := u.Db.Where("appid =?", appid).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (u UserWxAppletListDb) UserWxAppletListInsert(m *model.UserWxAppletList) (int64, error) {
	insertAffected, err := u.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return insertAffected, nil
}

func (u UserWxAppletListDb) UpdateUserWxAppletList(m *model.UserWxAppletList, columns ...string) (int64, error) {
	affected, err := u.Db.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}
