package model

type AgentContactInfo struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid     int    `json:"uuid" xorm:"not null comment('站长id') index unique(IDX_UUID_TYPE) INT(11)"`
	AgentId  int    `json:"agent_id" xorm:"not null comment('代理id') unique(IDX_UUID_TYPE) INT(11)"`
	State    int    `json:"state" xorm:"not null default 0 comment('状态(0:待审核 1:审核通过 2:审核拒绝)') TINYINT(1)"`
	CreateAt string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	Memo     string `json:"memo" xorm:"comment('备注 审核时填写的') VARCHAR(255)"`
	Name     string `json:"name" xorm:"comment('联系人') VARCHAR(255)"`
	Email    string `json:"email" xorm:"comment('邮箱地址') VARCHAR(255)"`
	Phone    string `json:"phone" xorm:"comment('联系电话') VARCHAR(255)"`
	Address  string `json:"address" xorm:"comment('联系地址') VARCHAR(255)"`
}
