package model

type AgentFinancialDynamics struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid         int    `json:"uuid" xorm:"default 0 INT(11)"`
	AgentId      int    `json:"agent_id" xorm:"default 0 comment('代理id') INT(11)"`
	PayTime      string `json:"pay_time" xorm:"comment('支付时间') DATETIME"`
	CreateAt     string `json:"create_at" xorm:"DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"DATETIME"`
	Amount       string `json:"amount" xorm:"default 0.00 comment('支付金额') DECIMAL(20,2)"`
	PayMethod    int    `json:"pay_method" xorm:"default 0 comment('支付方式 0对私 1对公') TINYINT(1)"`
	Certificate  string `json:"certificate" xorm:"comment('支付凭证') VARCHAR(255)"`
	Memo         string `json:"memo" xorm:"comment('备注') VARCHAR(255)"`
	BusinessKind int    `json:"business_kind" xorm:"not null default 1 comment('业务类型(1:广告合作)') TINYINT(1)"`
}
