package model

type AgentList struct {
	Id                          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid                        int    `json:"uuid" xorm:"not null comment('站长id') index unique(IDX_UUID_TYPE) INT(11)"`
	AgentId                     int    `json:"agent_id" xorm:"not null comment('代理id') unique(IDX_UUID_TYPE) INT(11)"`
	Amount                      string `json:"amount" xorm:"not null default 0.00 comment('余额') DECIMAL(8,2)"`
	Kind                        int    `json:"kind" xorm:"not null default 1 comment('类型(1:企业 2:个人)') TINYINT(1)"`
	CompanyName                 string `json:"company_name" xorm:"not null default '' comment('公司名称') VARCHAR(255)"`
	CompanyAbbreviation         string `json:"company_abbreviation" xorm:"not null default '' comment('公司简称') VARCHAR(255)"`
	UnifiedSocialCreditCode     string `json:"unified_social_credit_code" xorm:"not null default '' comment('统一社会信用代码') VARCHAR(255)"`
	CertificateType             int    `json:"certificate_type" xorm:"not null default 1 comment('证件类型 2级类目id') TINYINT(1)"`
	CertificateFirstType        int    `json:"certificate_first_type" xorm:"not null default 1 comment('证件类型 1级类目id') TINYINT(1)"`
	BusinessLicenseImgUrl       string `json:"business_license_img_url" xorm:"not null default '' comment('营业执照照片') VARCHAR(255)"`
	LegalRepresentative         string `json:"legal_representative" xorm:"not null default '' comment('法定代表人') CHAR(50)"`
	CountryRegionId             int    `json:"country_region_id" xorm:"not null default 1 comment('国家地区id') TINYINT(3)"`
	CountryRegion               string `json:"country_region" xorm:"not null default '' comment('国家地区') CHAR(50)"`
	RegisteredAddressCountryId  int    `json:"registered_address_country_id" xorm:"not null default 0 comment('注册地址-国家id') INT(11)"`
	RegisteredAddressProvinceId int    `json:"registered_address_province_id" xorm:"not null default 0 comment('注册地址-省份id') INT(11)"`
	RegisteredAddressCityId     int    `json:"registered_address_city_id" xorm:"not null default 0 comment('注册地址-市id') INT(11)"`
	RegisteredAddressCountyId   int    `json:"registered_address_county_id" xorm:"not null default 0 comment('注册地址-县/区id') INT(11)"`
	RegisteredAddress           string `json:"registered_address" xorm:"not null default '' comment('注册地址') VARCHAR(255)"`
	BusinessLicenseAddress      string `json:"business_license_address" xorm:"not null default '' comment('营业执照地址') VARCHAR(255)"`
	CertificateValidity         string `json:"certificate_validity" xorm:"not null default '0000-00-00' comment('证件有效期') CHAR(50)"`
	State                       int    `json:"state" xorm:"not null default 0 comment('状态(0:待审核 1:审核通过 2:审核拒绝)') TINYINT(1)"`
	SettlementType              int    `json:"settlement_type" xorm:"not null default 1 comment('结算方式(1:日结 2:周结 3:月结 4:预付)') TINYINT(1)"`
	CreateAt                    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	Memo                        string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
}
