package model

type AgentSettlement struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid          int    `json:"uuid" xorm:"not null default 0 comment('站长id') index unique(IDX_UUID_TYPE) INT(11)"`
	AgentId       int    `json:"agent_id" xorm:"not null default 0 comment('代理id') INT(11)"`
	MediumId      int    `json:"medium_id" xorm:"not null default 0 comment('媒体id') unique(IDX_UUID_TYPE) INT(11)"`
	AppId         string `json:"app_id" xorm:"not null default '' comment('小程序id') VARCHAR(255)"`
	PlatformAppId string `json:"platform_app_id" xorm:"not null default '' comment('站长的小程序id') VARCHAR(255)"`
	BusinessKind  int    `json:"business_kind" xorm:"not null default 1 comment('业务类型(1:广告合作)') TINYINT(1)"`
	Kind          int    `json:"kind" xorm:"not null default 1 comment('结算单类型(1:日结 2:周结 3:月结 4:预付)') TINYINT(1)"`
	BasicIncome   int    `json:"basic_income" xorm:"not null default 0 comment('基础收益(分)') INT(11)"`
	OtherIncome   int    `json:"other_income" xorm:"not null default 0 comment('其他收益(分)') INT(11)"`
	PayState      int    `json:"pay_state" xorm:"not null default 0 comment('结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)') TINYINT(1)"`
	State         int    `json:"state" xorm:"not null default 0 comment('结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)') TINYINT(1)"`
	StartDate     string `json:"start_date" xorm:"not null default '0000-00-00' comment('开始时间') CHAR(50)"`
	EndDate       string `json:"end_date" xorm:"not null default '0000-00-00' comment('结束时间') CHAR(50)"`
	CreateAt      string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	SettleFile    string `json:"settle_file" xorm:"comment('结算单文件') VARCHAR(255)"`
}
