package model

type AgentSettlementWithFlow struct {
	Id                int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	SettlementId      int    `json:"settlement_id" xorm:"not null default 0 comment('结算id') index unique(IDX_UUID_TYPE) INT(11)"`
	GenerateDataId    int    `json:"generate_data_id" xorm:"not null default 0 comment('生成数据id') INT(11)"`
	Amount            int    `json:"amount" xorm:"not null default 0 comment('变动金额(分)') unique(IDX_UUID_TYPE) INT(11)"`
	BasicIncomeBefore int    `json:"basic_income_before" xorm:"not null default 0 comment('基础收益(分)-变更前') INT(11)"`
	BasicIncomeAfter  int    `json:"basic_income_after" xorm:"not null default 0 comment('基础收益(分)-变更后') INT(11)"`
	OtherIncomeBefore int    `json:"other_income_before" xorm:"not null default 0 comment('其他收益(分)-变更前') INT(11)"`
	OtherIncomeAfter  int    `json:"other_income_after" xorm:"not null default 0 comment('其他收益(分)-变更后') INT(11)"`
	Kind              int    `json:"kind" xorm:"not null default 0 comment('类型(1:基础收益 2:其他收益 3:管理员增加其他收益 4:管理员减少其他收益)') TINYINT(3)"`
	CreateAt          string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt          string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
