package model

type FinAgentFlow struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	AgentId      int    `json:"agent_id" xorm:"not null default 0 comment('代理id') INT(11)"`
	Type         int    `json:"type" xorm:"not null default 1 comment('1收入,2支出') TINYINT(1)"`
	Amount       string `json:"amount" xorm:"not null default 0.00 comment('变动金额') DECIMAL(8,2)"`
	BeforeAmount string `json:"before_amount" xorm:"not null default 0.00 comment('变动前金额') DECIMAL(8,2)"`
	AfterAmount  string `json:"after_amount" xorm:"not null default 0.00 comment('变动后金额') DECIMAL(8,2)"`
	OrdId        string `json:"ord_id" xorm:"not null default '' comment('对应订单id') VARCHAR(50)"`
	Kind         int    `json:"kind" xorm:"not null default 1 comment('类型(1:管理员修改增加 2:管理员修改减少 3:结算款扣除)') TINYINT(4)"`
	Memo         string `json:"memo" xorm:"not null default '' comment('备注信息') VARCHAR(244)"`
	CreateAt     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
