package model

type GenerateWxAdData struct {
	Id                       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid                     int    `json:"uuid" xorm:"not null comment('站长id') index INT(10)"`
	AppId                    string `json:"app_id" xorm:"not null default '' comment('小程序id') VARCHAR(255)"`
	PlatformAppId            string `json:"platform_app_id" xorm:"not null default '' comment('站长的小程序id') VARCHAR(255)"`
	MediumId                 int    `json:"medium_id" xorm:"not null default 0 comment('媒体id') INT(11)"`
	OriginalDataId           int    `json:"original_data_id" xorm:"not null default 0 comment('原始数据id') INT(11)"`
	SlotId                   string `json:"slot_id" xorm:"not null default '' comment('广告位id') index unique(SLOT_ID_UNIQUE) VARCHAR(255)"`
	AdSlot                   string `json:"ad_slot" xorm:"not null default '' comment('广告位类型') CHAR(50)"`
	Date                     string `json:"date" xorm:"not null default '' comment('日期') unique(SLOT_ID_UNIQUE) CHAR(50)"`
	ReqSuccCount             int    `json:"req_succ_count" xorm:"not null default 0 comment('拉取量') INT(11)"`
	ExposureCount            int    `json:"exposure_count" xorm:"not null default 0 comment('曝光量') INT(11)"`
	ExposureRate             string `json:"exposure_rate" xorm:"not null default '0.00' comment('曝光率') CHAR(50)"`
	ClickCount               int    `json:"click_count" xorm:"not null default 0 comment('点击量') INT(11)"`
	ClickRate                string `json:"click_rate" xorm:"not null default '0.00' comment('点击率') CHAR(50)"`
	Ecpm                     string `json:"ecpm" xorm:"not null default '0.00' comment('广告千次曝光收益(分)') CHAR(50)"`
	PlatformRetention        int    `json:"platform_retention" xorm:"not null default 0 comment('平台留存(分)') INT(11)"`
	CommissionRetention      int    `json:"commission_retention" xorm:"not null default 0 comment('佣金留存(分)') INT(11)"`
	PriceAdjustmentRetention int    `json:"price_adjustment_retention" xorm:"not null default 0 comment('调价留存(分)') INT(11)"`
	MediaRevenue             int    `json:"media_revenue" xorm:"not null default 0 comment('媒体收益(分)') INT(11)"`
	AgentRevenue             int    `json:"agent_revenue" xorm:"not null default 0 comment('代理收益(分)') INT(11)"`
	ExtraRevenue             int    `json:"extra_revenue" xorm:"not null default 0 comment('额外收益(分)') INT(11)"`
	AgreementSharing         int    `json:"agreement_sharing" xorm:"not null default 0 comment('协议分成(分)') INT(11)"`
	AgreementSharingTotal    int    `json:"agreement_sharing_total" xorm:"not null default 0 comment('协议总分成(分)') INT(11)"`
	PlatformRetentionRate    int    `json:"platform_retention_rate" xorm:"not null default 0 comment('平台留存百分比') TINYINT(3)"`
	CommissionRetentionRate  int    `json:"commission_retention_rate" xorm:"not null default 0 comment('佣金留存百分比') TINYINT(3)"`
	MediaRevenueRate         int    `json:"media_revenue_rate" xorm:"not null default 0 comment('媒体收益百分比') TINYINT(3)"`
	AgentRevenueRate         int    `json:"agent_revenue_rate" xorm:"not null default 0 comment('代理收益百分比') TINYINT(3)"`
	ExtraRevenueRate         int    `json:"extra_revenue_rate" xorm:"not null default 0 comment('额外收益百分比') TINYINT(3)"`
	AgreementSharingRate     int    `json:"agreement_sharing_rate" xorm:"not null default 0 comment('协议分成百分比') TINYINT(3)"`
	IsGenerateReport         int    `json:"is_generate_report" xorm:"not null default 0 comment('是否已生成报表(0:未 1:已)') TINYINT(1)"`
	CreateAt                 string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                 string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	Platform                 string `json:"platform" xorm:"not null default '' comment('来源平台') CHAR(50)"`
}
