package model

type GenerateWxAdDataWithAgentFlow struct {
	Id               int    `json:"id" xorm:"not null pk autoincr unique(IDX_UUID_TYPE) INT(11)"`
	Uuid             int    `json:"uuid" xorm:"not null comment('站长id') index unique(IDX_UUID_TYPE) INT(10)"`
	AppId            string `json:"app_id" xorm:"not null default '' comment('小程序id') VARCHAR(255)"`
	PlatformAppId    string `json:"platform_app_id" xorm:"not null default '' comment('站长的小程序id') VARCHAR(255)"`
	AgentId          int    `json:"agent_id" xorm:"not null default 0 comment('代理id') INT(11)"`
	GenerateDataId   int    `json:"generate_data_id" xorm:"not null default 0 comment('生成数据id') INT(11)"`
	SlotId           string `json:"slot_id" xorm:"not null default '' comment('广告位id') VARCHAR(255)"`
	AdSlot           string `json:"ad_slot" xorm:"not null default '' comment('广告位类型') CHAR(50)"`
	Date             string `json:"date" xorm:"not null default '' comment('日期') CHAR(50)"`
	AgentRevenue     int    `json:"agent_revenue" xorm:"not null default 0 comment('代理收益(分)') INT(11)"`
	AgentRevenueRate int    `json:"agent_revenue_rate" xorm:"not null default 0 comment('代理收益百分比') TINYINT(3)"`
	ExtraRevenue     int    `json:"extra_revenue" xorm:"not null default 0 comment('额外收益(分)') INT(11)"`
	ExtraRevenueRate int    `json:"extra_revenue_rate" xorm:"not null default 0 comment('额外收益百分比') TINYINT(3)"`
	CreateAt         string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt         string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
