package model

type MasterDataStatistics struct {
	Id                           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid                         int    `json:"uuid" xorm:"not null default 0 comment('站长id') index INT(11)"`
	TodayIncome                  int    `json:"today_income" xorm:"not null default 0 comment('今日收益(分)') INT(11)"`
	SevenDayIncome               int    `json:"seven_day_income" xorm:"not null default 0 comment('七日收益(分)') INT(11)"`
	ThisMonthIncome              int    `json:"this_month_income" xorm:"not null default 0 comment('本月收益(分)') INT(11)"`
	LastMonthIncome              int    `json:"last_month_income" xorm:"not null default 0 comment('上月收益(分)') INT(11)"`
	MediumTodayIncome            int    `json:"medium_today_income" xorm:"not null default 0 comment('媒体今日收益(分)') INT(11)"`
	MediumSevenDayIncome         int    `json:"medium_seven_day_income" xorm:"not null default 0 comment('媒体七日收益(分)') INT(11)"`
	MediumThisMonthIncome        int    `json:"medium_this_month_income" xorm:"not null default 0 comment('媒体本月收益(分)') INT(11)"`
	MediumLastMonthIncome        int    `json:"medium_last_month_income" xorm:"not null default 0 comment('媒体上月收益(分)') INT(11)"`
	AgentTodayIncome             int    `json:"agent_today_income" xorm:"not null default 0 comment('代理今日收益(分)') INT(11)"`
	AgentSevenDayIncome          int    `json:"agent_seven_day_income" xorm:"not null default 0 comment('代理七日收益(分)') INT(11)"`
	AgentThisMonthIncome         int    `json:"agent_this_month_income" xorm:"not null default 0 comment('代理本月收益(分)') INT(11)"`
	AgentLastMonthIncome         int    `json:"agent_last_month_income" xorm:"not null default 0 comment('代理上月收益(分)') INT(11)"`
	MediumTodayExposureCount     int    `json:"medium_today_exposure_count" xorm:"not null default 0 comment('媒体今日曝光量') INT(11)"`
	MediumSevenDayExposureCount  int    `json:"medium_seven_day_exposure_count" xorm:"not null default 0 comment('媒体七日曝光量') INT(11)"`
	MediumThisMonthExposureCount int    `json:"medium_this_month_exposure_count" xorm:"not null default 0 comment('媒体本月曝光量') INT(11)"`
	MediumLastMonthExposureCount int    `json:"medium_last_month_exposure_count" xorm:"not null default 0 comment('媒体上月曝光量') INT(11)"`
	Date                         string `json:"date" xorm:"not null comment('日期') DATE"`
	CreateAt                     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
