package model

type MediumBankInfo struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid         int    `json:"uuid" xorm:"not null comment('站长id') index unique(IDX_UUID_TYPE) INT(11)"`
	MediumId     int    `json:"medium_id" xorm:"not null comment('代理id') unique(IDX_UUID_TYPE) INT(11)"`
	State        int    `json:"state" xorm:"not null default 0 comment('状态(0:待审核 1:审核通过 2:审核拒绝)') TINYINT(1)"`
	CreateAt     string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	Memo         string `json:"memo" xorm:"comment('备注 审核时填写的') VARCHAR(255)"`
	CurrencyConf int    `json:"currency_conf" xorm:"default 0 comment('结算币种 1人民币') TINYINT(1)"`
	Bank         string `json:"bank" xorm:"comment('开户银行') VARCHAR(255)"`
	BankBranch   string `json:"bank_branch" xorm:"comment('开户银行分行') VARCHAR(255)"`
	BankNo       string `json:"bank_no" xorm:"comment('银行卡号') VARCHAR(255)"`
	Licence      string `json:"licence" xorm:"comment('开户许可证') VARCHAR(255)"`
}
