package model

type MediumDivisionStrategy struct {
	Id                      int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid                    int    `json:"uuid" xorm:"not null default 0 comment('站长id') index unique(IDX_UUID_TYPE) INT(11)"`
	MediumId                int    `json:"medium_id" xorm:"not null default 0 comment('媒体id') unique(IDX_UUID_TYPE) INT(11)"`
	PlatformRetentionRate   int    `json:"platform_retention_rate" xorm:"not null default 0 comment('平台留存百分比') TINYINT(1)"`
	CommissionRetentionRate int    `json:"commission_retention_rate" xorm:"not null default 0 comment('佣金留存百分比') TINYINT(1)"`
	MediaRevenueRate        int    `json:"media_revenue_rate" xorm:"not null default 0 comment('媒体收益百分比') TINYINT(1)"`
	AgentRevenueRate        int    `json:"agent_revenue_rate" xorm:"not null default 0 comment('代理收益百分比') TINYINT(1)"`
	ExtraRevenueRate        int    `json:"extra_revenue_rate" xorm:"not null default 0 comment('额外收益百分比') TINYINT(1)"`
	AgreementSharingRate    int    `json:"agreement_sharing_rate" xorm:"not null default 0 comment('协议分成百分比') TINYINT(1)"`
	CreateAt                string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
