package model

type OriginalWxAdData struct {
	Id              int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid            int    `json:"uuid" xorm:"not null default 0 comment('站长id') index INT(11)"`
	MediumId        int    `json:"medium_id" xorm:"not null default 0 comment('媒体id') INT(11)"`
	AppId           string `json:"app_id" xorm:"not null default '' comment('小程序id') VARCHAR(255)"`
	PlatformAppId   string `json:"platform_app_id" xorm:"not null default '' comment('站长的小程序id') VARCHAR(255)"`
	SlotId          string `json:"slot_id" xorm:"not null default '' comment('广告位id') index unique(SLOT_ID_UNIQUE) VARCHAR(255)"`
	AdSlot          string `json:"ad_slot" xorm:"not null default '' comment('广告位类型') CHAR(50)"`
	Date            string `json:"date" xorm:"not null default '' comment('日期') unique(SLOT_ID_UNIQUE) CHAR(50)"`
	ReqSuccCount    int    `json:"req_succ_count" xorm:"not null default 0 comment('拉取量') INT(11)"`
	ExposureCount   int    `json:"exposure_count" xorm:"not null default 0 comment('曝光量') INT(11)"`
	ExposureRate    string `json:"exposure_rate" xorm:"not null default '0.00' comment('曝光率') CHAR(50)"`
	ClickCount      int    `json:"click_count" xorm:"not null default 0 comment('点击量') INT(11)"`
	ClickRate       string `json:"click_rate" xorm:"not null default '0.00' comment('点击率') CHAR(50)"`
	PublisherIncome int    `json:"publisher_income" xorm:"not null default 0 comment('小程序分账收入(分)') INT(11)"`
	Ecpm            string `json:"ecpm" xorm:"not null default '0.00' comment('广告千次曝光收益(分)') CHAR(50)"`
	IsApply         int    `json:"is_apply" xorm:"not null default 0 comment('是否已应用(0:未 1:已)') TINYINT(1)"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	Platform        string `json:"platform" xorm:"not null default '' comment('来源平台') CHAR(50)"`
}
