package model

type PlatformSettlement struct {
	Id                       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid                     int    `json:"uuid" xorm:"not null default 0 comment('站长id') index INT(11)"`
	BusinessKind             int    `json:"business_kind" xorm:"not null default 1 comment('业务类型(1:广告合作)') TINYINT(1)"`
	Kind                     int    `json:"kind" xorm:"not null default 1 comment('结算单类型(1:日结 2:周结 3:月结 4:预付)') TINYINT(1)"`
	OriginalIncome           int    `json:"original_income" xorm:"default 0 comment('上游结算(原始数据值-分)') INT(11)"`
	MediumIncome             int    `json:"medium_income" xorm:"not null default 0 comment('媒体收益(分)') INT(11)"`
	AgentIncome              int    `json:"agent_income" xorm:"not null default 0 comment('代理收益(分)') INT(11)"`
	PlatformRetention        int    `json:"platform_retention" xorm:"not null default 0 comment('平台留存(分)') INT(11)"`
	PriceAdjustmentRetention int    `json:"price_adjustment_retention" xorm:"not null default 0 comment('调价留存(分)') INT(11)"`
	CommissionRetention      int    `json:"commission_retention" xorm:"not null default 0 comment('佣金留存(分)') INT(11)"`
	StartDate                string `json:"start_date" xorm:"not null comment('开始时间') DATE"`
	EndDate                  string `json:"end_date" xorm:"not null comment('结束时间') DATE"`
	CreateAt                 string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	UpdateAt                 string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
}
