package model

import (
	"time"
)

type SmsRecord struct {
	Id        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	OrdId     string    `json:"ord_id" xorm:"not null default '' comment('订单id') VARCHAR(100)"`
	Uid       int       `json:"uid" xorm:"not null default 0 comment('主用户id') INT(11)"`
	Phone     string    `json:"phone" xorm:"not null default '0' comment('主账号-手机号码') VARCHAR(20)"`
	Nickname  string    `json:"nickname" xorm:"not null default '' comment('主账号-昵称') VARCHAR(255)"`
	Amount    string    `json:"amount" xorm:"not null default '0' comment('充值金额') VARCHAR(255)"`
	CostPrice string    `json:"cost_price" xorm:"not null default '0' comment('付费价格') VARCHAR(255)"`
	Balance   string    `json:"balance" xorm:"not null default '0' comment('当前余额(充值完当前余额)') VARCHAR(255)"`
	PayWay    int       `json:"pay_way" xorm:"not null default 1 comment('支付方式(1:支付宝 2:微信 3:余额)') TINYINT(1)"`
	State     int       `json:"state" xorm:"not null default 0 comment('状态(0:待付款 1:已付款 2:付款失败)') TINYINT(2)"`
	Memo      string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	CreateAt  time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateAt  time.Time `json:"update_at" xorm:"default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
	TradeNo   string    `json:"trade_no" xorm:"not null default '' comment('支付平台(支付宝/微信)订单号') VARCHAR(100)"`
	Type      int       `json:"type" xorm:"default 0 comment('0收入 1支出') INT(1)"`
	OrdType   string    `json:"ord_type" xorm:"comment('订单类型') VARCHAR(255)"`
	SubUid    int       `json:"sub_uid" xorm:"default 0 INT(11)"`
	Fee       string    `json:"fee" xorm:"VARCHAR(255)"`
	Ext       string    `json:"ext" xorm:"TEXT"`
}
